APIReferenceForms
Update a form's respondent-experience settings
Replaces the form's settings object (collectEmail, redirectUrl, layout, and similar). Omitted fields fall back to their defaults.
Replaces the form's settings object (collectEmail, redirectUrl, layout, and similar). Omitted fields fall back to their defaults.
Authorization
ApiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Form id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/forms/string/settings" \ -H "Content-Type: application/json" \ -d '{}'{ "form": { "id": "string", "settings": { "collectEmail": false, "emailRequired": false, "thankYouMessage": "string", "redirectUrl": "http://example.com", "showProgress": true, "useCase": "forms", "layout": "single_page" } }}{ "error": "string", "issues": [ { "path": [ null ], "message": "string" } ]}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}